Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.template
Class TextTemplate.ImageNode

    java.lang.Object
      org.eclipse.birt.core.template.TextTemplate.Node
          org.eclipse.birt.core.template.TextTemplate.ImageNode

Enclosing class:
  TextTemplate

    public static class TextTemplate.ImageNode

extends TextTemplate.Node

Field Summary
`static java.lang.String` | `IMAGE_TYPE_EMBEDDED`
`static java.lang.String` | `IMAGE_TYPE_EXPR`

Constructor Summary
`TextTemplate.ImageNode()`

Method Summary
`void` | `accept(TextTemplate.Visitor visitor, java.lang.Object value)`
`java.util.HashMap` | `getAttributes()`
`java.lang.String` | `getExpr()`
`java.lang.String` | `getImageName()`
`java.lang.String` | `getType()`
`void` | `setAttribute(java.lang.String name, java.lang.String value)`
`void` | `setExpr(java.lang.String expr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IMAGE_TYPE_EXPR

    public static final java.lang.String IMAGE_TYPE_EXPR

See Also:
  Constant Field Values

### IMAGE_TYPE_EMBEDDED

    public static final java.lang.String IMAGE_TYPE_EMBEDDED

See Also:
  Constant Field Values

Constructor Detail

### TextTemplate.ImageNode

    public TextTemplate.ImageNode()

Method Detail

### getAttributes

    public java.util.HashMap getAttributes()

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.String value)

### getExpr

    public java.lang.String getExpr()

### setExpr

    public void setExpr(java.lang.String expr)

### getType

    public java.lang.String getType()

### getImageName

    public java.lang.String getImageName()

### accept

    public void accept(TextTemplate.Visitor visitor,
                       java.lang.Object value)

  Specified by:
    `accept` in class `TextTemplate.Node`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.